import { SvelteComponentTyped } from "svelte";
import type { SupabaseClient, Provider } from '@supabase/supabase-js';
import { type I18nVariables, type ViewType, type ProviderScopes, type OtpType } from '@supabase/auth-ui-shared';
import type { Appearance } from '../types';
declare const __propDef: {
    props: {
        supabaseClient: SupabaseClient;
        socialLayout?: "horizontal" | "vertical" | undefined;
        providers?: Provider[] | undefined;
        providerScopes?: Partial<ProviderScopes> | undefined;
        queryParams?: {
            [key: string]: string;
        } | undefined;
        view?: ViewType | undefined;
        redirectTo?: string | undefined;
        onlyThirdPartyProviders?: boolean | undefined;
        magicLink?: boolean | undefined;
        showLinks?: boolean | undefined;
        appearance?: Appearance | undefined;
        theme?: string | undefined;
        localization?: {
            variables?: I18nVariables | undefined;
        } | undefined;
        otpType?: OtpType | undefined;
        additionalData: {
            [key: string]: any;
        } | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type AuthProps = typeof __propDef.props;
export type AuthEvents = typeof __propDef.events;
export type AuthSlots = typeof __propDef.slots;
export default class Auth extends SvelteComponentTyped<AuthProps, AuthEvents, AuthSlots> {
}
export {};
